"use client"
import { Dispatch, SetStateAction, useState } from 'react';
import {
  ResizableHandle,
  ResizablePanel,
  ResizablePanelGroup
} from 'apps/frontend/src/components/ui/resizable';
import { ESubPage, SubPage, SubPageSelector } from '../components/sub-pages';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';

const queryClient = new QueryClient({})

export default function HomePage() {
  const [currentSubPage, setCurrentSubPage] = useState<ESubPage>(0)
  return (
    <QueryClientProvider client={queryClient}>
      <main
        className="w-full h-full bg-background border border-muted p-2 rounded-md flex flex-row justify-stretch items-stretch">
            <div className={"h-full flex flex-col justify-start items-center"}>
              <SubPageSelector
                currentSubPage={currentSubPage}
                setCurrentSubPage={setCurrentSubPage}
              />
            </div>
            <SubPage currentSubPage={currentSubPage} />
      </main>
    </QueryClientProvider>
  );
}


