import { Button } from './ui/button';
import {
  Dialog,
  DialogContent, DialogHeader,
  DialogTrigger
} from './ui/dialog';
import { FileInput } from 'lucide-react';
import { FileUploadForm } from 'apps/frontend/src/components/forms/file-upload';
import {
  MultipleMachinesSelector
} from 'apps/frontend/src/components/forms/machines-selector';

export interface NewFileModalProps {
  classname?: string;
}

export function NewFileModal(props: NewFileModalProps) {
  return (
    <Dialog>
      <DialogTrigger asChild>
        <Button  className={"flex gap-2 items-center bg-secondary text-secondary-foreground"}>
          <FileInput />
          Ajouter un fichier
        </Button>
      </DialogTrigger>
      <DialogContent>
        <DialogHeader>Ajouter un fichier</DialogHeader>
        <FileUploadForm/>
      </DialogContent>
    </Dialog>
  )
}