import { NewFileModal } from "../new-file-modal";
import { Button } from "../ui/button"
import { Home, NotepadTextDashed } from 'lucide-react';
import {
  SubHomePage
} from './sub-home-page';
import { Dispatch, SetStateAction } from 'react';
import {
  SubDocPage
} from 'apps/frontend/src/components/sub-pages/sub-doc-page';

export interface SubPageSelectorProps {
  currentSubPage: ESubPage
  setCurrentSubPage: Dispatch<SetStateAction<ESubPage>>
}

export enum ESubPage {
  Home,
  Documentation,
}

export function SubPageSelector(props: SubPageSelectorProps) {
  return (
    <div className={"max-[20%]: flex flex-col justify-center items-stretch pt-4 p-4 gap-2"}>
      <Button
        onClick={()=>props.setCurrentSubPage(ESubPage.Home)}
        disabled={props.currentSubPage === ESubPage.Home}
        className={"gap-1 font-bold"}>
        <Home/>
        Accueil
      </Button>
      <NewFileModal/>
      <Button
        onClick={()=>props.setCurrentSubPage(ESubPage.Documentation)}
        disabled={props.currentSubPage === ESubPage.Documentation}>
        <NotepadTextDashed />
        Documentation
      </Button>
    </div>
  )
}

export interface ISubPageProps {
  currentSubPage: ESubPage
}

export function SubPage(props: ISubPageProps) {
  switch (props.currentSubPage) {
    case ESubPage.Home:
      return (<SubHomePage/>)
    case ESubPage.Documentation:
      return (<SubDocPage/>)
    default:
      return (<>Default</>)
  }
}