import { useState } from 'react';
import { HomeIcon } from 'lucide-react';
import {
  FilesDataTable, filesTableColumns
} from 'apps/frontend/src/components/tables/files-table';
import {
  ISearchBarResult, SearchBar
} from 'apps/frontend/src/components/tables/search-bar';


export interface SubHomePageProps {

}

export function SubHomePage(props: SubHomePageProps) {
  const [isLoaded, setIsLoaded] = useState<boolean>(false);
  const [searchField, setSearchField] = useState<ISearchBarResult>({value: ""})

  return (<section className={"w-full h-full rounded bg-card flex flex-col"}>
    <div className={"flex flex-row justify-start items-center gap-2 m-2"}>
      <HomeIcon
        className={"w-8 h-8 text-secondary"}
      />
      <h1 className={"text-2xl font-bold"}>Accueil</h1>
    </div>
    <div
      className={"m-1 flex flex-col justify-start items-center w-5/6 self-center h-full"}>
      <div className={"flex w-full justify-start items-center mb-4"}>
        <SearchBar
          stateSetter={setSearchField} />
      </div>
      <FilesDataTable columns={filesTableColumns} searchField={searchField} />
    </div>
  </section>)
}